/**
 * A function which augments the props with the queryParams from the
 * react-router-dom's `Location.search` string as an actual object.
 *
 * Requires defaultQueryParameters to fill in the blanks when the
 * query parameters are not in the url. This way you are guaranteed
 * to always have values for your query parameters.
 *
 * It also uses the defaultQueryParameters to convert the query
 * parameters (which all come out as strings) to the type of
 * the defaultQueryParameter.
 */
export declare function queryParamsFromLocation<QueryParams extends Record<string, unknown>>({ location, defaultQueryParams, debugName }: {
    location?: {
        search?: string;
    };
    defaultQueryParams: QueryParams;
    debugName: string;
}): QueryParams;
